## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Python package name
%global srcname markdownextradata

%global forgeurl https://github.com/rosscdh/%{name}/
%global tag %{version}

# Since the Python package is used only as a plugin for mkdocs, and not as a
# general-purpose Python library, the base package is named accordingly (i.e.,
# not python-markdownextradata or similar).
Name:           mkdocs-%{srcname}-plugin
Version:        0.2.4
%forgemeta
Release:        %autorelease
Summary:        MkDocs plugin that injects mkdocs.yml extra variables

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# From tests_require in setup.py (but not in install_requires):
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(click)

%py_provides python3-%{name}

%description
A MkDocs plugin that injects the mkdocs.yml extra variables into the markdown
template

Use case:

  As a user with variables that need to be inserted at the markdown level, not
  the template level.

  I need a mkdocs plugin that will inject my “extras” variables into the
  markdown template before it gets rendered to html.

  So that I can build my markdown pages with different values for images, urls,
  client_names, etc.


%prep
%forgeautosetup


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pytest


%files -f %{pyproject_files}
%license LICENSE.md
%doc CONTRIBUTING.md
%doc README.md


%changelog
* Tue Jul 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.4-6
- Move %generate_buildrequires after %prep to make the spec file easier to
  follow

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.4-3
- Rebuilt for Python 3.10

* Tue May 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.4-2
- Fix python Provides

* Sat May 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.4-1
- Initial package

